Show / Hide Table of Contents

# AsyncCollisionStay2DTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncCollisionStay2DTrigger : AsyncTriggerBase<Collision2D>, IUniTaskAsyncEnumerable<Collision2D>

##### Inheritance

System.Object → AsyncTriggerBase<Collision2D> → AsyncCollisionStay2DTrigger

##### Implements

IUniTaskAsyncEnumerable<Collision2D>

### Members

#### Methods

Name | Description
--- | ---
GetOnCollisionStay2DAsyncHandler() |
GetOnCollisionStay2DAsyncHandler(CancellationToken) |
OnCollisionStay2DAsync() |
OnCollisionStay2DAsync(CancellationToken) |

### Methods

#### GetOnCollisionStay2DAsyncHandler()

    public IAsyncOnCollisionStay2DHandler GetOnCollisionStay2DAsyncHandler()

##### Returns

IAsyncOnCollisionStay2DHandler

#### GetOnCollisionStay2DAsyncHandler(CancellationToken)

    public IAsyncOnCollisionStay2DHandler GetOnCollisionStay2DAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnCollisionStay2DHandler

#### OnCollisionStay2DAsync()

    public UniTask<Collision2D> OnCollisionStay2DAsync()

##### Returns

UniTask<Collision2D>

#### OnCollisionStay2DAsync(CancellationToken)

    public UniTask<Collision2D> OnCollisionStay2DAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collision2D>

### Implements

IUniTaskAsyncEnumerable<T>